<script>
  // Import
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Plot from "./_design_2_plot.svelte";
  let mapHeating, mapCooling, domain;

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 5, bottom: 10, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
  });

  function selectData(c) {
    return data.filter(d => d.city == c);
  }

  $: { if (!data){} else {
      mapHeating = data.map(x => x.heating);
      mapCooling = data.map(x => x.cooling);

      domain = [0, Math.max(Math.max(... mapHeating), Math.max(... mapCooling))];
    }
  }

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <svg {width} {height}>
    <g transform="translate({margin.left}, {margin.top})">
      <!--  -->
      <g transform="translate(0, 0)">
        <text font-size=20 text-anchor="middle" x={65} y={20}> Baltimore </text>
        <Plot data={selectData("Baltimore")} domain={domain}/>
      </g>
      <g transform="translate(200, 0)">
        <text font-size=20 x={50} y={20}> Chicago </text>
        <Plot data={selectData("Chicago")} domain={domain}/>
      </g>
      <g transform="translate(400, 0)">
        <text font-size=20 x={35} y={20}> Los Angeles </text>
        <Plot data={selectData("Los Angeles")} domain={domain}/>
      </g>
    </g>
  </svg>
{/if}


<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
</style>
